npp.connections crashing NPP



  • Re: [New Plugin] npp.connections

    NPP crashes when I select either of the menu options for this extension. Debug info below. Can anyone help with this issue?

    Notepad++ v7.9.5 (64-bit)
    Build time : Mar 21 2021 - 02:13:17
    Path : C:\Program Files\Notepad++\notepad++.exe
    Admin mode : OFF
    Local Conf mode : OFF
    OS Name : Windows 10 Enterprise (64-bit)
    OS Version : 1909
    OS Build : 18363.1556
    Current ANSI codepage : 1252
    Plugins : ColumnTools.dll CsvQuery.dll Explorer.dll FWDataViz.dll mimeTools.dll npp.connections.dll NppConverter.dll NppExport.dll NppFavorites.dll NppFTP.dll NppXmlTreeviewPlugin.dll SessionMgr.dll SQLinFormNpp64.dll SurroundSelection.dll XMLTools.dll



  • @Louis-Gattis ,

    If you look at the thread that was linked, it appeared the 64-bit version of the plugin may have been causing errors, even three years ago.

    I tried the 64-bit plugin DLL with both Notepad++ v8.1-64bit (the most recent) and v7.5.4-64bit (which was the active version at the time of the previous discussion). Both crashed when I tried to Plugins > npp.Connections > Show Result Panel (or click the tree icon on the toolbar, which calls the same action).

    I then tried the 32-bit plugin DLL with both Notepad++ v8.1-32bit and v7.5.4-32bit. Both were able to show the result panel. So the 32-bit version of the plugin doesn’t crash. But since I don’t have any MS SQL, Oracle, or OBDC databases hanging around, I couldn’t tell if it was working beyond that.

    It looks like you’ll have to use 32-bit Notepad++ and the 32-bit version of the plugin to avoid crashing.

    As far as whether or not it works – there have been changes under the hood in Notepad++ over the last three years, so some features of the plugin may or may not be compatible with the modern Notepad++ (like your v7.9.5). You may have to go back to an earlier version of Notepad++ (like the v7.5.4 from the old post) in order to get full functionality. But, since it’s not doing much interaction with the editor itself (which is where most of the plugin incompatibilities come in), I don’t see a reason why it wouldn’t work with recent Notepad++.


Log in to reply